Update Japanese holidays
ClosedPublic

Authored by nhiga on Apr 13 2019, 2:22 PM.

Details

Summary

This patch includes updates for Japanese holidays. There are special arrangements for imperial transitions and Tokyo 2020 Summer Olympics.

More information: https://www8.cao.go.jp/chosei/shukujitsu/gaiyou.html

Diff Detail

Repository
R175 PIM: KHolidays
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
nhiga created this revision.Apr 13 2019, 2:22 PM
Restricted Application edited subscribers, added: kde-pim; removed: KDE PIM. · View Herald TranscriptApr 13 2019, 2:22 PM
nhiga requested review of this revision.Apr 13 2019, 2:22 PM
nhiga added a comment.Apr 13 2019, 2:26 PM

Note: Due to imperial transition, there is no "The Emperor's Birthday" in 2019.

dvratil accepted this revision.Apr 16 2019, 12:26 PM
dvratil added a subscriber: dvratil.

The format looks correct, I trust you checked the dates carefully. Thanks for the patch!

This revision is now accepted and ready to land.Apr 16 2019, 12:26 PM
nhiga abandoned this revision.Apr 17 2019, 2:50 PM

It turns out that the Japanese version only works partially. I am going to investigate the issue and will update this revision later. Sorry for the inconvenience.

nhiga reclaimed this revision.Apr 18 2019, 4:36 AM
This revision is now accepted and ready to land.Apr 18 2019, 4:36 AM
nhiga updated this revision to Diff 56487.Apr 18 2019, 4:36 AM

Fixed a syntax error.

nhiga updated this revision to Diff 56488.Apr 18 2019, 4:40 AM

Fixed indentation.

nhiga requested review of this revision.Apr 18 2019, 4:41 AM
nhiga updated this revision to Diff 56491.Apr 18 2019, 5:43 AM

Updated 2020 "substitute holidays".

According to the Cabinet Office's webpage, it seems that "休日" ("Holiday") is the official name of the so-called "振替休日" ("Substitute holiday").

This revision was not accepted when it landed; it landed in state Needs Review.Apr 21 2019, 2:13 PM
This revision was automatically updated to reflect the committed changes.